# Copyright © 2014 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=5
PYTHON_COMPAT=( python2_7 )

inherit python-any-r1 font

SHA1=d180c0bfdd4e3911a18360b3ccacd5271441e240

DESCRIPTION="Variant of the M+ fonts with enlarged CJK glyphs"
SRC_URI="http://git.draconx.ca/gitweb/scripts.git/snapshot/$SHA1.tar.xz"

LICENSE="WTFPL-2 mplus-fonts IPAfont"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="$PYTHON_DEPS
	media-fonts/mplus-outline-fonts[ipafont]
	media-gfx/fontforge[python]"

S=$WORKDIR/$SHA1
MPLUSDIR=$EPREFIX/usr/share/fonts/mplus-outline-fonts

FONT_S=$S/inst
FONT_SUFFIX=ttf

pkg_setup() {
	python-any-r1_pkg_setup
	font_pkg_setup
}

src_compile() {
	ln -s "$MPLUSDIR"/*.ttf . || die
	python mplus-t-gen.py || die

	mkdir inst
	mv M+?T+IPAG.ttf inst
}
